/*
 * @Author: zhangyu
 * @Date: 2021-04-20 23:24:58
 * @LastEditTime: 2021-04-28 15:56:02
 */
require('module-alias/register')
const Koa = require('koa2')
const koaBody = require('koa-body')
const app = new Koa()
const Router = require('./route.js')
const errorHandler = require('./error.js')
const appConfig = require('./config.js')
const views = require('koa-views')

module.exports = () => {
    app
    .use(errorHandler)
    .use(koaBody({
        multipart: true
    }))
    .use(views('views',{
        map: {
            html: 'ejs'
        }
    }))
    .use(Router.routes(),Router.allowedMethods)
    .listen(appConfig.app.port)
}